## c-munipack 2.1.35

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.18)
cmake_policy(VERSION 3.18)

project("C-Munipack"
    LANGUAGES C CXX 
    VERSION 2.1.35 
    HOMEPAGE_URL http://c-munipack.sourceforge.net/
    DESCRIPTION "Astrophotometry software with focus on variable stars."
)

enable_testing()

set(CMAKE_C_STANDARD 90)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_EXTENSIONS OFF)

set(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake/Modules" ${CMAKE_MODULE_PATH})

set(CMUNIPACK_LIBRARY_NAME "cmpack20")

set(targets_export_name ${CMUNIPACK_LIBRARY_NAME}Targets CACHE INTERNAL "")

set_property(GLOBAL PROPERTY USE_FOLDERS ON)

set(OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${OUTPUT_DIRECTORY})
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${OUTPUT_DIRECTORY})
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${OUTPUT_DIRECTORY})

include(CMakePackageConfigHelpers)
include(GNUInstallDirs)

if (MSVC)
    set(VSINSTALLDIR $ENV{VSINSTALLDIR} CACHE INTERNAL "")
    set(VCINSTALLDIR $ENV{VCINSTALLDIR} CACHE INTERNAL "")
endif(MSVC)

# Options
option(ENABLE_WCS "Enable support for WCS" ON)
option(ENABLE_TOOLKIT "Build and install command line tools" ON)
option(ENABLE_GUI "Build and install Muniwin - graphical user interface" ON)
option(ENABLE_TESTS "Build test suite." ON)
option(ENABLE_BUILD_DOC "Build manual and documentation" ON)
option(BUILD_SHARED_LIBS "Build shared libraries" ON)
if(WIN32)
    option(USE_INTERNAL_CFITSIO "Use internal cfitsio library" ON)
    option(USE_INTERNAL_ZLIB "Use internal zlib library" ON)
    option(USE_INTERNAL_EXPAT "Use internal expat library" ON)
    option(USE_EXTERNAL_FFTW3 "Use FFTW library" OFF)
else(WIN32)
    option(USE_INTERNAL_CFITSIO "Use internal cfitsio library" OFF)
    option(USE_INTERNAL_ZLIB "Use internal zlib library" OFF)
    option(USE_INTERNAL_EXPAT "Use internal expat library" OFF)
    option(USE_EXTENAL_FFTW3 "Use FFTW library" OFF)
endif(WIN32)

# Needed to include config.h
include_directories(${CMAKE_BINARY_DIR}/include)

# EXTERNAL DEPENDENCIES
# ---------------------

# M
if(UNIX AND NOT APPLE AND NOT BEOS AND NOT HAIKU AND NOT EMSCRIPTEN)
  find_library(M_LIBRARY m)
else()
  # libm is not needed and/or not available.
  set(M_LIBRARY "")
endif()

# ZLIB
if(USE_INTERNAL_ZLIB)
    message(STATUS "Using internal zlib library")
    add_subdirectory(thirdparty/zlib)
    add_library(cmpack_zlib ALIAS zlibstatic)
else(USE_INTERNAL_ZLIB)
    find_package(ZLIB REQUIRED)
    add_library(cmpack_zlib ALIAS ZLIB::ZLIB)
endif(USE_INTERNAL_ZLIB)

# CFITSIO
if(USE_INTERNAL_CFITSIO)
    message(STATUS "Using internal cfitsio library")
    add_subdirectory(thirdparty/cfitsio)
    add_library(cmpack_cfitsio ALIAS cfitsio)
else(CFITSIO REQUIRED)
    find_package(CFITSIO REQUIRED)
    add_library(cmpack_cfitsio ALIAS CFITSIO::CFITSIO)
endif(USE_INTERNAL_CFITSIO)

# EXPAT
if(USE_INTERNAL_EXPAT)
    message(STATUS "Using internal expat library")
    add_subdirectory(thirdparty/expat)
    add_library(cmpack_expat ALIAS expat)
else(USE_INTERNAL_EXPAT)
    find_package(EXPAT REQUIRED)
    add_library(cmpack_expat ALIAS EXPAT::EXPAT)
endif(USE_INTERNAL_EXPAT)

# WCSLIB
if(ENABLE_WCS)
    message(STATUS "Using internal wcslib library")
    add_subdirectory(thirdparty/wcslib)
    set(CMUNIPACK_HAVE_WCSLIB ON CACHE INTERNAL "")
    set(WCS_LIBRARY wcslib CACHE INTERNAL "")
else(ENABLE_WCS)
    set(CMUNIPACK_HAVE_WCSLIB OFF CACHE INTERNAL "")
    set(WCS_LIBRARY "" CACHE INTERNAL "")
endif(ENABLE_WCS)

# FFTPACK
if (USE_EXTENAL_FFTW3)
    find_package(FFTW3)
endif (USE_EXTENAL_FFTW3)
if (FFTW3_FOUND)
    set(CMUNIPACK_USE_FFTW 1)
    message(STATUS "Using FFTW")
else ()
    set(CMUNIPACK_USE_INTERNAL_FFTPACK 1)
    message(STATUS "Using internal fftpack library")
    add_subdirectory(thirdparty/fftpack)
    add_library(cmpack_fftpack ALIAS fftpack)
endif(FFTW3_FOUND)

# GTK
if(ENABLE_GUI)
    find_package(GTK2 2.8 REQUIRED gtk)
    if (WIN32)
        file(TO_CMAKE_PATH $ENV{GTKMM_BASEPATH} GTK2_ROOT)
    endif(WIN32)
endif(ENABLE_GUI)


# GLOBAL VARIABLES
# ----------------

if(UNIX AND NOT WIN32)
     get_filename_component(CMUNIPACK_INSTALL_DATADIR "${CMAKE_INSTALL_DATADIR}/${CMAKE_PROJECT_NAME}-${CMAKE_PROJECT_VERSION_MAJOR}.0" ABSOLUTE BASE_DIR "${CMAKE_INSTALL_PREFIX}" CACHE)
     add_compile_definitions(CMUNIPACK_INSTALL_DATADIR="${CMUNIPACK_INSTALL_DATADIR}")      
endif(UNIX AND NOT WIN32)

# CORE LIBRARY
# ------------

add_subdirectory(lib)

# COMMANDS (TOOLKIT)
# ------------------

if(ENABLE_TOOLKIT)
    add_subdirectory(toolkit)
endif(ENABLE_TOOLKIT)


# MUNIWIN (UI)
# ------------
if(ENABLE_GUI)
    add_subdirectory(muniwin)
endif(ENABLE_GUI)

# TESTS
# -----

if(ENABLE_TESTS)
    find_package(GTest CONFIG REQUIRED)
    add_library(gtest ALIAS GTest::gtest)
    add_library(gmock ALIAS GTest::gmock)
    include(GoogleTest)
endif(ENABLE_TESTS)


# DOCS & USER MANUAL
# ------------------

add_subdirectory(doc)


# CONFIGURATION FILES
# -------------------

file(WRITE ${CMAKE_BINARY_DIR}/VERSION ${CMAKE_PROJECT_VERSION})
if(UNIX AND NOT WIN32)
    install(FILES ${CMAKE_BINARY_DIR}/VERSION DESTINATION "${CMUNIPACK_INSTALL_DATADIR}")
else(UNIX AND NOT WIN32)
    install(FILES ${CMAKE_BINARY_DIR}/VERSION DESTINATION "${CMAKE_INSTALL_DATADIR}")
endif(UNIX AND NOT WIN32)

configure_file(${PROJECT_SOURCE_DIR}/cmake/config.h.in config.h)


# LICENCES
# --------

if(UNIX AND NOT WIN32)
    install(FILES COPYING LICENSE.CDDL LICENSE.GPL2 LICENSE.LGPL DESTINATION "${CMUNIPACK_INSTALL_DATADIR}")
else(UNIX AND NOT WIN32)
    install(FILES COPYING LICENSE.CDDL LICENSE.GPL2 LICENSE.LGPL DESTINATION "${CMAKE_INSTALL_DATADIR}")
endif(UNIX AND NOT WIN32)

# PACKAGING
# ---------

set(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

configure_file(${PROJECT_SOURCE_DIR}/cmake/NSISConfig.nsh.in NSISConfig.nsh @ONLY)

set(CPACK_PACKAGE_VENDOR "David Motl")
set(CPACK_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CMAKE_PROJECT_VERSION}-x64")
set(CPACK_PACKAGE_INSTALL_DIRECTORY "${CMAKE_PROJECT_NAME}-${CMAKE_PROJECT_VERSION_MAJOR}.${CMAKE_PROJECT_VERSION_MINOR}")
set(CPACK_PACKAGE_ICON "${CMAKE_SOURCE_DIR}/muniwin/src/muniwin.ico")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING")
set(CPACK_RESOURCE_FILE_README "${CMAKE_SOURCE_DIR}/README")
SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
set(CPACK_MONOLITHIC_INSTALL ON)
set(CPACK_STRIP_FILES ON)

set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CMAKE_PROJECT_VERSION}-source")
set(CPACK_SOURCE_IGNORE_FILES "/.git/" "/.vs/" "/out/")

if(WIN32)
  set(CPACK_GENERATOR "NSIS")
  set(CPACK_SOURCE_GENERATOR "ZIP")
endif(WIN32)

include(CPack)

=== debian/changelog ===
c-munipack (2.1.35-1) unstable; urgency=medium

  * Initial release

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 17 Jun 2023 10:27:02 +0200

=== debian/control ===
Source: c-munipack
Section: science
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
#Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
#Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, zlib1g-dev
	, libcfitsio-dev
	, libexpat1-dev
	, wcslib-dev
	, libgstreamer1.0-dev
	, libgtk2.0-dev
	, doxygen
	, libgtest-dev
	, libgmock-dev
	, python3-sphinx
Standards-Version: 4.6.2
Homepage: https://c-munipack.sourceforge.net/
#Vcs-Browser: https://salsa.debian.org/debian/c-munipack
#Vcs-Git: https://salsa.debian.org/debian/c-munipack.git
Vcs-Browser: https://salsa.debian.org/debian-astro-team/c-munipack
Vcs-Git: https://salsa.debian.org/debian-astro-team/c-munipack.git
Rules-Requires-Root: no

Package: c-munipack
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
	, c-munipack-share (= ${source:Version})
	, libcmpack20 (= ${binary:Version})
Description: reduction of images carried out by CCD camera
 This package contains software, which offers the complete solution for
 reduction of images carried out by CCD camera, intended on a observation
 of variable stars. Each step of reduction process can be run from the
 command line or via simple and intuitive graphical user interface.

Package: c-munipack-share
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: reduction of images carried out by CCD camera (share)
 This package contains software, which offers the complete solution for
 reduction of images carried out by CCD camera, intended on a observation
 of variable stars. Each step of reduction process can be run from the
 command line or via simple and intuitive graphical user interface.
 .
 This package contains arch independent files.

Package: libcmpack20
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: reduction of images carried out by CCD camera (library)
 This package contains software, which offers the complete solution for
 reduction of images carried out by CCD camera, intended on a observation
 of variable stars. Each step of reduction process can be run from the
 command line or via simple and intuitive graphical user interface.
 .
 This package contains the library.

Package: libcmpack-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: reduction of images carried out by CCD camera (development)
 This package contains software, which offers the complete solution for
 reduction of images carried out by CCD camera, intended on a observation
 of variable stars. Each step of reduction process can be run from the
 command line or via simple and intuitive graphical user interface.
 .
 This package contains files for development.

#Package: libcmpack-doc
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Description: reduction of images carried out by CCD camera (documentation)
# This package contains software, which offers the complete solution for
# reduction of images carried out by CCD camera, intended on a observation
# of variable stars. Each step of reduction process can be run from the
# command line or via simple and intuitive graphical user interface.
# .
# This package contains documentation.

=== debian/watch ===
version=4
http://sf.net/c-munipack/C-Munipack-(\d\S+)-source\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## c-munipack 2.1.36

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 project("C-Munipack"
     LANGUAGES C CXX 
-    VERSION 2.1.35 
+    VERSION 2.1.36 
     HOMEPAGE_URL http://c-munipack.sourceforge.net/
     DESCRIPTION "Astrophotometry software with focus on variable stars."
 )

=== muniwin/CMakeLists.txt ===
set(muniwin_headers
src/about_dlg.h
src/addfiles_dlg.h
src/addfilter_dlg.h
src/addfolder_dlg.h
src/airmass_dlg.h
src/amasscurve_dlg.h
src/biascorr_dlg.h
src/callback.h
src/catfile_class.h
src/catfile_dlg.h
src/ccdfile_class.h
src/ccdfile_dlg.h
src/ccdtempcurve_dlg.h
src/chart_dlg.h
src/chooseaperture_dlg.h
src/choosestars_dlg.h
src/colorchooser_dlg.h
src/configuration.h
src/convert_dlg.h
src/darkcorr_dlg.h
src/editselections_dlg.h
src/export_aavso.h
src/export_baavss.h
src/export_dlgs.h
src/export_options.h
src/express_dlg.h
src/file_classes.h
src/file_dlg.h
src/findvariables_dlg.h
src/flatcorr_dlg.h
src/frameinfo_dlg.h
src/frameset_class.h
src/frame_dlg.h
src/graph_toolbox.h
src/helcor_dlg.h
src/helper_classes.h
src/helper_dlgs.h
src/image_class.h
src/infobox.h
src/info_dlg.h
src/jdconv_dlg.h
src/lightcurve_dlg.h
src/locations.h
src/main.h
src/main_dlg.h
src/makecatalogfile_dlg.h
src/masterbias_dlg.h
src/masterdark_dlg.h
src/masterflat_dlg.h
src/matching_dlg.h
src/matching_mt.h
src/matching_st.h
src/measurement.h
src/menubar.h
src/merge_dlg.h
src/messages_dlg.h
src/newfiles_dlg.h
src/objects.h
src/objects_dlg.h
src/object_dlg.h
src/objproperties_dlg.h
src/observer_dlg.h
src/output_dlg.h
src/photometry2_dlg.h
src/photometry_dlg.h
src/phot_class.h
src/phtfile_dlg.h
src/popup.h
src/preferences_dlg.h
src/preview.h
src/proc_classes.h
src/profile.h
src/profiles_dlg.h
src/profile_editor.h
src/progress_dlg.h
src/project.h
src/project_dlg.h
src/qphot.h
src/senddumpfiles.h
src/showheader_dlg.h
src/showwcsdata_dlg.h
src/sound.h
src/table_class.h
src/table_dlg.h
src/thumbnails_dlg.h
src/timecorr_dlg.h
src/toolbar.h
src/trackcurve_dlg.h
src/utils.h
src/varcat.h
src/varfind.h
src/varfindfile_dlg.h
)

set(muniwin_sources 
${muniwin_headers}
src/about_dlg.cpp
src/addfiles_dlg.cpp
src/addfilter_dlg.cpp
src/addfolder_dlg.cpp
src/airmass_dlg.cpp
src/amasscurve_dlg.cpp
src/biascorr_dlg.cpp
src/callback.cpp
src/catfile_class.cpp
src/catfile_dlg.cpp
src/ccdfile_class.cpp
src/ccdfile_dlg.cpp
src/ccdtempcurve_dlg.cpp
src/chart_dlg.cpp
src/chooseaperture_dlg.cpp
src/choosestars_dlg.cpp
src/colorchooser_dlg.cpp
src/configuration.cpp
src/convert_dlg.cpp
src/darkcorr_dlg.cpp
src/editselections_dlg.cpp
src/export_aavso.cpp
src/export_baavss.cpp
src/export_dlgs.cpp
src/export_options.cpp
src/express_dlg.cpp
src/file_classes.cpp
src/file_dlg.cpp
src/findvariables_dlg.cpp
src/flatcorr_dlg.cpp
src/frameinfo_dlg.cpp
src/frameset_class.cpp
src/frame_dlg.cpp
src/graph_toolbox.cpp
src/helcor_dlg.cpp
src/helper_classes.cpp
src/helper_dlgs.cpp
src/image_class.cpp
src/infobox.cpp
src/info_dlg.cpp
src/jdconv_dlg.cpp
src/lightcurve_dlg.cpp
src/locations.cpp
src/main.cpp
src/main_dlg.cpp
src/makecatalogfile_dlg.cpp
src/masterbias_dlg.cpp
src/masterdark_dlg.cpp
src/masterflat_dlg.cpp
src/matching_dlg.cpp
src/matching_mt.cpp
src/matching_st.cpp
src/measurement.cpp
src/menubar.cpp
src/merge_dlg.cpp
src/messages_dlg.cpp
src/newfiles_dlg.cpp
src/objects.cpp
src/objects_dlg.cpp
src/object_dlg.cpp
src/objproperties_dlg.cpp
src/observer_dlg.cpp
src/output_dlg.cpp
src/photometry2_dlg.cpp
src/photometry_dlg.cpp
src/phot_class.cpp
src/phtfile_dlg.cpp
src/popup.cpp
src/preferences_dlg.cpp
src/preview.cpp
src/proc_classes.cpp
src/profile.cpp
src/profiles_dlg.cpp
src/profile_editor.cpp
src/progress_dlg.cpp
src/project.cpp
src/project_dlg.cpp
src/qphot.cpp
src/showheader_dlg.cpp
src/showwcsdata_dlg.cpp
src/sound.cpp
src/table_class.cpp
src/table_dlg.cpp
src/thumbnails_dlg.cpp
src/timecorr_dlg.cpp
src/toolbar.cpp
src/trackcurve_dlg.cpp
src/utils.cpp
src/varcat.cpp
src/varfind.cpp
src/varfindfile_dlg.cpp
)

set(muniwin_libraries 
	libcmpack
	cmpack_widgets 
	manual 
	GTK2::gtk 
	cmpack_cfitsio
	cmpack_expat
	${M_LIBRARY}
)

add_subdirectory(widgets)

add_executable(muniwin WIN32 ${muniwin_sources})
set_target_properties(muniwin PROPERTIES FOLDER muniwin)
target_link_libraries(muniwin PUBLIC ${muniwin_libraries})

if(WIN32)
	configure_file(src/muniwin.rc.in muniwin.rc @ONLY)
	configure_file(src/muniwin.ico muniwin.ico COPYONLY)
	target_sources(muniwin PRIVATE muniwin.rc)
endif(WIN32)


if(MSVC)
	target_link_libraries(muniwin PRIVATE htmlhelp.lib winmm.lib)
else(MSVC)
	target_compile_options(muniwin PRIVATE -Wdeprecated-declarations)
endif(MSVC)

file(GLOB_RECURSE resource_icons res/icons/*.png)
file(GLOB_RECURSE resource_sounds res/sounds/*.wav)

add_custom_target(resources ALL 
	COMMAND ${CMAKE_COMMAND} -E make_directory ${CMAKE_BINARY_DIR}/share/icons
	COMMAND ${CMAKE_COMMAND} -E copy_if_different ${resource_icons} ${CMAKE_BINARY_DIR}/share/icons
	COMMAND ${CMAKE_COMMAND} -E make_directory ${CMAKE_BINARY_DIR}/share/sounds
	COMMAND ${CMAKE_COMMAND} -E copy_if_different ${resource_sounds} ${CMAKE_BINARY_DIR}/share/sounds
	COMMENT "Copying resource files ..."
	SOURCES ${resource_files}
)
set_target_properties(resources PROPERTIES FOLDER utils)

# Install executable
install(TARGETS muniwin)

# Install PDBs
if (MSVC)
    install(FILES $<TARGET_PDB_FILE:muniwin> 
        CONFIGURATIONS "RelWithDebInfo" "Debug" 
        TYPE BIN
        OPTIONAL
    )
endif(MSVC)

# Install resources
if(UNIX AND NOT WIN32)
	install(FILES ${resource_icons} DESTINATION "${CMUNIPACK_INSTALL_DATADIR}/icons")
	install(FILES ${resource_sounds} DESTINATION "${CMUNIPACK_INSTALL_DATADIR}/sounds")
else(UNIX AND NOT WIN32)
	install(FILES ${resource_icons} DESTINATION "${CMAKE_INSTALL_DATADIR}/icons")
	install(FILES ${resource_sounds} DESTINATION "${CMAKE_INSTALL_DATADIR}/sounds")
endif(UNIX AND NOT WIN32)

if(WIN32)
	# GTK binaries
	set(gtk2_runtime_dependencies)
	foreach(f ${GTK2_LIBRARIES} expat.lib fontconfig.lib freetype.lib intl.lib pangowin32-1.0.lib png14.lib zlib1.lib)
		get_filename_component(fname ${f} NAME_WLE)
		find_file(gtk2_lib${fname}_dll NAMES lib${fname}-0.dll lib${fname}-1.dll lib${fname}-2.dll lib${fname}-3.dll lib${fname}-4.dll lib${fname}-5.dll 
			lib${fname}-6.dll lib${fname}-7.dll lib${fname}-8.dll lib${fname}-9.dll lib${fname}-10.dll lib${fname}-11.dll lib${fname}-12.dll 
			lib${fname}-13.dll lib${fname}-14.dll ${fname}.dll PATHS ${GTK2_ROOT}/bin)
		if (gtk2_lib${fname}_dll)
			list(APPEND gtk2_runtime_dependencies ${gtk2_lib${fname}_dll})
		else()
			message(STATUS "The Gtk shared library ${fname} was not found.")
		endif()
	endforeach()
	# Install dependencies
	install(FILES ${gtk2_runtime_dependencies} TYPE BIN)
	# Install Gtk configuration file
	install(FILES "${GTK2_ROOT}/share/themes/ms-windows/gtk-2.0/gtkrc" DESTINATION "${CMAKE_INSTALL_SYSCONFDIR}/gtk-2.0")
	# Find optional Gtk modules
	set(gtk2_runtime_modules)
	file(GLOB gtk2_runtime_modules "${GTK2_ROOT}/lib/gtk-2.0/2.10.0/engines/*.dll")
	install(FILES ${gtk2_runtime_modules} DESTINATION "${CMAKE_INSTALL_LIBDIR}/gtk-2.0/2.10.0/engines")
endif(WIN32)

=== muniwin/widgets/tests/preview/CMakeLists.txt ===
set(test_preview_headers
preview_dlg.h
preview_main.h
)

set(test_preview_sources
${test_preview_headers}
preview_dlg.cpp
preview_main.cpp
)

set(test_preview_libs
libcmpack
GTK2::gtk 
test_widgets_common
)

add_executable(test_preview ${test_preview_sources})
target_link_options(test_preview PRIVATE -mwindows)
set_target_properties(test_preview PROPERTIES FOLDER tests/widgets)
target_link_libraries(test_preview PRIVATE ${test_preview_libs})

=== debian/changelog ===
c-munipack (2.1.36-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:50:41 +0000

c-munipack (2.1.36-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:00:07 +0000

c-munipack (2.1.36-2) unstable; urgency=medium

  * debian/rules: add -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON
                  to make the package reproducible build
                  (thanks a lot to Vagrant Cascadian for the patch)
                  (Closes: #1038971)
  * add patch to support SOURCE_DATE_EPOCH when creating the man page
    (thanks a lot to Vagrant Cascadian for the patch)
    (Closes: #1038970)
  * debian/control: move maintenance to Debian Astronomy Team 

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 23 Jun 2023 23:34:27 +0200

c-munipack (2.1.36-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 21 Jun 2023 18:34:27 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: c-munipack
 Section: science
 Priority: optional
-Maintainer: Thorsten Alteholz <debian@alteholz.de>
-#Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
-#Uploaders: Thorsten Alteholz <debian@alteholz.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
+Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: debhelper-compat (= 13)
 	, cmake
 	, zlib1g-dev

## c-munipack 2.1.37

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 project("C-Munipack"
     LANGUAGES C CXX 
-    VERSION 2.1.36 
+    VERSION 2.1.37 
     HOMEPAGE_URL http://c-munipack.sourceforge.net/
     DESCRIPTION "Astrophotometry software with focus on variable stars."
 )

=== thirdparty/cfitsio/CMakeLists.txt ===
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}")
set (LIB_DESTINATION "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
set (INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include/")

# Define project version
SET(${PROJECT_NAME}_MAJOR_VERSION 3)
SET(${PROJECT_NAME}_MINOR_VERSION 49)
SET(${PROJECT_NAME}_VERSION ${${PROJECT_NAME}_MAJOR_VERSION}.${${PROJECT_NAME}_MINOR_VERSION})
SET(LIB_NAME cfitsio)

# Microsoft Visual Studio:
IF(MSVC OR BORLAND)
    # Define
    ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE)
    # Need an empty unistd.h in MSVC for flex-generated eval_l.c:
    FILE(WRITE ${CMAKE_SOURCE_DIR}/unistd.h "")
    INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR})
ENDIF()

IF(BORLAND)
    # Suppress spurious Borland compiler warnings about "Suspicious
    # pointer arithmetic", "Possibly incorrect assignment", and
    # "Comparing signed and unsigned values".
    ADD_DEFINITIONS(-w-spa)
    ADD_DEFINITIONS(-w-pia)
    ADD_DEFINITIONS(-w-csu)
ENDIF()

SET (LIB_TYPE STATIC)
IF (BUILD_SHARED_LIBS)
  SET (LIB_TYPE SHARED)
ENDIF (BUILD_SHARED_LIBS)

FILE(GLOB H_FILES "*.h")

SET(SRC_FILES
    buffers.c cfileio.c checksum.c
    drvrfile.c drvrmem.c drvrnet.c
    editcol.c edithdu.c eval_f.c eval_l.c eval_y.c
    f77_wrap1.c f77_wrap2.c f77_wrap3.c f77_wrap4.c
    fits_hcompress.c fits_hdecompress.c fitscore.c
    getcol.c getcolb.c getcold.c getcole.c getcoli.c getcolj.c getcolk.c
    getcoll.c getcols.c getcolsb.c getcolui.c getcoluj.c getcoluk.c
    getkey.c group.c grparser.c histo.c imcompress.c iraffits.c modkey.c
    pliocomp.c
    putcol.c putcolb.c putcold.c putcole.c putcoli.c putcolj.c putcolk.c
    putcoll.c putcols.c putcolsb.c putcolu.c putcolui.c putcoluj.c putcoluk.c
    putkey.c quantize.c region.c ricecomp.c scalnull.c simplerng.c swapproc.c
    wcssub.c wcsutil.c zlib/zcompress.c zlib/zuncompress.c
)

# Only include zlib source files if we are building a shared library.
# Users will need to link their executable with zlib independently.
IF (BUILD_SHARED_LIBS)
    set(SRC_FILES ${SRC_FILES}
        zlib/adler32.c zlib/crc32.c zlib/deflate.c zlib/infback.c
        zlib/inffast.c zlib/inflate.c zlib/inftrees.c zlib/trees.c
        zlib/uncompr.c zlib/zutil.c
        )
ENDIF()

ADD_LIBRARY(${LIB_NAME} ${LIB_TYPE} ${H_FILES} ${SRC_FILES})
TARGET_LINK_LIBRARIES(${LIB_NAME} ${M_LIB})
target_include_directories(${LIB_NAME} PUBLIC 
    "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>" 
    "$<INSTALL_INTERFACE:$<INSTALL_PREFIX>/${CMAKE_INSTALL_INCLUDEDIR}>")
set_target_properties(${LIB_NAME} PROPERTIES FOLDER thirdparty)

# Install the project targets.
install(TARGETS ${LIB_NAME} EXPORT ${targets_export_name})

=== thirdparty/wcslib/CMakeLists.txt ===
#
# SOURCES
#
set(wcslib_sources
C/cel.c
C/dis.c
C/flexed/wcsbth.c
C/flexed/wcspih.c
C/flexed/wcsulex.c
C/flexed/wcsutrn.c
C/lin.c
C/log.c
C/prj.c
C/spc.c
C/sph.c
C/spx.c
C/tab.c
C/wcs.c
C/wcserr.c
C/wcsfix.c
C/wcshdr.c
C/wcsprintf.c
C/wcstrig.c
C/wcsunits.c
C/wcsutil.c
)

add_library(wcslib OBJECT ${wcslib_sources})
set_target_properties(wcslib PROPERTIES FOLDER thirdparty)
set_target_properties(wcslib PROPERTIES C_STANDARD 99)
set_target_properties(wcslib PROPERTIES POSITION_INDEPENDENT_CODE ON)

target_include_directories(wcslib PUBLIC
	"$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/C;${CMAKE_CURRENT_SOURCE_DIR}>"
	"$<INSTALL_INTERFACE:$<INSTALL_PREFIX>/${CMAKE_INSTALL_INCLUDEDIR}>"
)

if(MSVC)
	target_compile_definitions(wcslib PRIVATE _CRT_SECURE_NO_DEPRECATE _CRT_SECURE_NO_WARNINGS _NO_OLDNAMES YY_NO_UNISTD_H)
	target_compile_options(wcslib PRIVATE -D__STDC__=1)
	target_compile_options(wcslib PRIVATE /W3)
endif()

target_link_libraries(wcslib PRIVATE ${M_LIBRARY})

=== muniwin/widgets/tests/common/CMakeLists.txt ===
set(test_widgets_common_headers
include/callback.h
include/ccdfile_class.h
include/configuration.h
include/file_classes.h
include/helper_classes.h
include/image_class.h
include/main.h
include/menubar.h
include/phot_class.h
include/popup.h
include/utils.h
)

set(test_widgets_common_sources 
${test_widgets_common_headers}
src/callback.cpp
src/ccdfile_class.cpp
src/configuration.cpp
src/file_classes.cpp
src/helper_classes.cpp
src/image_class.cpp
src/main.cpp
src/menubar.cpp
src/phot_class.cpp
src/popup.cpp
src/utils.cpp
)

set(test_widgets_common_libs 
libcmpack
cmpack_widgets
GTK2::gtk
)

add_library(test_widgets_common OBJECT ${test_widgets_common_sources})
set_target_properties(test_widgets_common PROPERTIES FOLDER tests/widgets)
target_link_libraries(test_widgets_common PUBLIC ${test_widgets_common_libs})
target_include_directories(test_widgets_common PUBLIC include)

=== muniwin/widgets/tests/graph/CMakeLists.txt ===
set(test_graph_headers
graph_dlg.h
graph_main.h
#lcoptions_dlg.h
)

set(test_graph_sources
${test_graph_headers}
graph_dlg.cpp
graph_main.cpp
#lcoptions_dlg.cpp
)

set(test_graph_libs
libcmpack
GTK2::gtk 
test_widgets_common
)

add_executable(test_graph ${test_graph_sources})
target_link_options(test_graph PRIVATE -mwindows)
set_target_properties(test_graph PROPERTIES FOLDER tests/widgets)
target_link_libraries(test_graph PRIVATE ${test_graph_libs})

=== debian/changelog ===
c-munipack (2.1.37-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 05 May 2024 11:50:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: c-munipack
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: debhelper-compat (= 13)
 	, cmake

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

%:
	dh $@


override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON

override_dh_install:
	find
	rm debian/tmp/usr/share/C-Munipack-2.0/COPYING
	rm debian/tmp/usr/share/C-Munipack-2.0/LICENSE.CDDL
	rm debian/tmp/usr/share/C-Munipack-2.0/LICENSE.GPL2
	rm debian/tmp/usr/share/C-Munipack-2.0/LICENSE.LGPL
	rmdir debian/tmp/usr/share/C-Munipack-2.0/manual/en/html/_images/math/
	dh_install

=== debian/watch ===
version=4
http://sf.net/c-munipack/C-Munipack-(\d\S+)-source\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) debian uupdate
